%bcond_with bootstrap

Name:           beust-jcommander
Version:        1.78
Release:        %mkrel 5
Group:          Development/Java
Summary:        Java framework for parsing command line parameters
License:        ASL 2.0
URL:            http://jcommander.org/
BuildArch:      noarch

# ./generate-tarball.sh
Source0:        %{name}-%{version}.tar.gz
# Adapted from earlier version that still shipped poms. It uses kobalt for building now
Source1:        %{name}.pom
# Cleaned up bundled jars whose licensing cannot be easily verified
Source2:        generate-tarball.sh

Patch0:         0001-ParseValues-NullPointerException-patch.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.testng:testng)
BuildRequires:  maven-surefire-provider-testng
%endif

%description
JCommander is a very small Java framework that makes it trivial to
parse command line parameters (with annotations).

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the %{summary}.

%prep
%setup -q
%patch0 -p1

chmod -x license.txt
cp -p %SOURCE1 pom.xml
sed -i 's/@VERSION@/%{version}/g' pom.xml

%build
%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc license.txt notice.md README.markdown

%files javadoc -f .mfiles-javadoc
%doc license.txt notice.md



%changelog
* Mon Jul 25 2022 neoclust <neoclust> 1.78-5.mga9
+ Revision: 1871181
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.78-4.mga9
+ Revision: 1870220
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.78-3.mga9
+ Revision: 1863339
- Add bootstrap mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.78-1.mga8
+ Revision: 1621509
- Update to version 1.78
- Remove unnecessary parent from POM file
- skipped tests as they require user input with jdk11, changed way of javadoc generation
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.71-3.mga8
+ Revision: 1501336
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.71-2.mga7
+ Revision: 1277653
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 1.71-1.mga7
+ Revision: 1255849
- new version: 1.71 (sync with fc29)

* Thu May 18 2017 neoclust <neoclust> 1.47-5.mga6
+ Revision: 1102947
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 1.47-4.mga6
+ Revision: 982032
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.47-3.mga6
+ Revision: 975680
- First rebuild of the java stack
- sync package beust-jcommander with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 01 2015 pterjan <pterjan> 1.35-1.mga5
+ Revision: 807916
- Sync with Fedora 21 (update to 1.35)

* Wed Oct 15 2014 umeabot <umeabot> 1.30-4.mga5
+ Revision: 746696
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30-2.mga4
+ Revision: 522329
- Mageia 4 Mass Rebuild

* Tue Feb 19 2013 dmorgan <dmorgan> 1.30-1.mga3
+ Revision: 399379
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.17-6.mga3
+ Revision: 346897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.17-5.mga3
+ Revision: 293249
- Install NOTICE files

* Mon Jun 25 2012 dmorgan <dmorgan> 1.17-4.mga3
+ Revision: 263679
- Adapt to new guidelines

* Wed Jul 20 2011 dmorgan <dmorgan> 1.17-2.mga2
+ Revision: 127017
- imported package beust-jcommander


* Mon May 16 2011 Jaromir Capik <jcapik@redhat.com> - 1.17-2
- Unwanted comment removal
- Target javadoc:jar replaced with javadoc:aggregate

* Fri May 13 2011 Jaromir Capik <jcapik@redhat.com> - 1.17-1
- Initial version of the package
